#### BINARY

#### Synopsis

    HELP:   Read binary data from memory
    TYPE:   OBJECT
    SYNTAX: BINARY(BLKSIZE=num,DECODE[=NONE/ARCHIVE/FIODEC/DECRYP/CRYDEC/DECOMP/CMPDEC/ALWAYS],DECRYPT[{}...],FDECODE/COD.{},TABLE(),AVSCAN())

#### Description

Format binary converts the provided byte stream or records into blocks of data representing an element.

Such data blocks are the simplest form of data type handled by FLAM. You can access the data based on the byte offset, but no further knowledge about the data is known in FLAM. For records, data validation using a regular expression can be activated. If binary records are processed, the regular expression is matched using the local ASCII or EBCDIC single byte character set. For text records the validation is done in UTF-8.

Using only binary blocks with FLAM will mainly be equal to the behavior and ability of other encryption and compression tools. All other methods of data handling with FLAM will provide much more advantage to you.

#### Arguments

- `NUMBER: DECODE=NONE/ARCHIVE/FIODEC/DECRYP/CRYDEC/DECOMP/CMPDEC/ALWAYS - Decode encoded, encrypted or compressed data [0=NONE]`
  - `NONE - No automated decoding`
  - `ARCHIVE - Transparently read archives`
  - `FIODEC - Base decoding after file IO, before decryption`
  - `DECRYP - Decryption of encrypted data`
  - `CRYDEC - Base decoding after decryption, before decompression`
  - `DECOMP - Decompression of compressed data`
  - `CMPDEC - Base decoding after decompression, before formatting`
  - `ALWAYS - Always decode encoded data (causes the same as DECOMP)`